# Copyright (c) 2007-2009 oc2pus, 2010 Pascal Bleser
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments to pasble@links2linux.de


%define soname	1

Name:           libextractor1
Summary:        Library to Extract Metadata from Files
Version:        0.5.23
Release:        1.pm.1.2
License:        GNU General Public License version 2 or later (GPL v2 or later)
Group:          System/Libraries
URL:            http://www.gnu.org/software/libextractor/
BuildRequires:  flac-devel
BuildRequires:  gcc-c++
BuildRequires:  gtk2-devel
BuildRequires:  ImageMagick
BuildRequires:  libexiv2-devel
BuildRequires:  libgsf-devel
BuildRequires:  libmpeg2-devel
BuildRequires:  libvorbis-devel
BuildRequires:  libbz2-devel
BuildRequires:  mDNSResponder-lib
BuildRequires:  pkgconfig
BuildRequires:  python-devel
BuildRequires:  qt-devel
BuildRequires:  vorbis-tools libspeex1
# ftp://ftp.gnu.org/gnu/libextractor/libextractor-%{version}.tar.gz
Source:         libextractor-%{version}.tar.bz2
Patch1:         libextractor-remove_hardcoded_usr_lib.patch
Patch2:         libextractor-rename_libextractor_common.patch
Patch3:         libextractor-ffmpeg_fix_pointer_cast.patch
Source99:       %{name}-rpmlintrc
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Using libextractor, you can extract metadata from files of arbitrary
types. Supported file formats include HTML, PDF, DVI, PS, MP3, OGG,
WAV, JPEG, GIF, PNG, TIFF, RPM, ZIP, TAR, ELF, REAL, RIFF (AVI), MPEG,
QT, and ASF. Also, various additional MIME types are detected.

This release adds support for Adobe Flash (FLV) and Free Lossless Audio
Codec (FLAC) files. The quicktime, ole2, and split extractors were also
improved.

Helper libraries perform the extraction. It is extendable by linking
against external extractors for additional file types.

The goal is to provide developers of indexing tools with a universal
library to obtain simple keywords to match against queries.
libextractor contains a shell command 'extract' that, similar to the
well-known 'file' command, can extract metadata from a file and print
the results to stdout.

%package devel
Summary:        Include Files and Libraries mandatory for Development
Group:          Development/Languages/C and C++
Requires:       %{name} = %{version}
Requires:       flac-devel
Requires:       glibc-devel
Requires:       gtk2-devel
Requires:       libgsf-devel
Requires:       libmpeg2-devel
Requires:       libvorbis-devel
Requires:       libtool
Requires:       zlib-devel
Requires:       python-devel
Requires:       qt-devel
PreReq:         info

%description devel
This package contains all necessary include files and libraries needed
to develop applications that require these.


%prep
%setup -q -n "libextractor-%{version}"
%patch1
%patch2
%patch3
%__sed -i 's|/lib |/%{_lib} |g' configure.ac

%build
%if %suse_version >= 1110
autoreconf -fiv
%endif

%configure \
    --with-qt="%{_prefix}" \
    --enable-xpdf \
    --enable-exiv2 \
    --enable-ffmpeg \
    --enable-printable \
    --enable-static \
    --with-plugindirname="%{name}"

find . -name Makefile | xargs %__sed -i -e 's|-L/usr/lib|-L/%{_libdir}|g'

%__make STRIP=touch
#%{?jobs:-j%{jobs}}

%install
%makeinstall STRIP=touch

%__rm %{buildroot}%{_libdir}/*.la
%__rm %{buildroot}%{_libdir}/%{name}/*.a
%__rm %{buildroot}%{_libdir}/%{name}/*.la

%__rm -rf \
    "%{buildroot}%{_bindir}" \
    "%{buildroot}%{_mandir}/man1" \
    "%{buildroot}%{_infodir}" \
    "%{buildroot}%{_datadir}/locale"
    
%post   -n %{name} -p /sbin/ldconfig

%postun -n %{name} -p /sbin/ldconfig

%post   devel
%install_info --info-dir=%{_infodir} %{_infodir}/extractor.info%{info_ext}

%postun devel
%install_info_delete --info-dir=%{_infodir} %{_infodir}/extractor%{info_ext}

%clean
[ -d "%{buildroot}" -a "%{buildroot}" != "" ] && %__rm -rf "%{buildroot}"

%files
%defattr(-, root, root)
%doc AUTHORS ChangeLog COPYING NEWS README TODO
%{_libdir}/lib*.so.%{soname}
%{_libdir}/lib*.so.%{soname}.*
%{_libdir}/libextractor_common%{soname}.so.0
%{_libdir}/libextractor_common%{soname}.so.0.*
%dir %{_libdir}/%{name}
%{_libdir}/%{name}/lib*.so*

%files devel
%defattr(-, root, root) 
%doc %{_mandir}/man3/*
%{_includedir}/*
%{_libdir}/*.a
%{_libdir}/*.so
%{_libdir}/pkgconfig/libextractor.pc

%changelog
* Fri Mar  5 2010 pascal.bleser@opensuse.org
- renamed libextractor-devel to libextractor1-devel to avoid conflicts with the latest version
* Wed Mar  3 2010 pascal.bleser@opensuse.org
- old backport
* Tue Oct 20 2009 toni@links2linux.de
- update to 0.5.23
- This release adds support for librpm 4.7 and uses an external version of
  libexiv2 for improved and more up-to-date EXIV2 support.
* Sat Feb 21 2009 toni@links2linux.de
- update to 0.5.22
- added install-info macros, moved info pages to devel package
* Sun Nov  2 2008 toni@links2linux.de
- update to 0.5.21
* Tue Jul 15 2008 toni@links2linux.de
- update to 0.5.20c
* Sun Apr 27 2008 toni@links2linux.de
- update to 0.5.20b
* Tue Apr 15 2008 toni@links2linux.de
- update to 0.5.20a
* Sun Mar 23 2008 toni@links2linux.de
- update to 0.5.20
* Sun Jan 13 2008 toni@links2linux.de
- update to 0.5.19a
* Mon Jan  7 2008 toni@links2linux.de
- update to 0.5.19
* Sun Sep  2 2007 toni@links2linux.de
- buildOpenSUSE-10.3, fixed BuildRequires
* Mon Jun 25 2007 toni@links2linux.de
- initial build 0.5.18
